import FeatureModel from './FeatureModel';
import FeatureType from './FeatureType';
interface NodeById {
    id: FeatureType;
    model: typeof FeatureModel;
}
declare class FeatureModelFactory {
    static modelById: Array<NodeById>;
    static createModel(type: FeatureType, attributes: any): FeatureModel;
    /**
       * @param id the feature metadata id
       * @return {Boolean} returns true if the given id is contained in the metadata array
       */
    static isSupported(type: string): boolean;
}
export default FeatureModelFactory;
